Name:          python-pybind11
Version:       2.13.6
Release:       1mamba
Summary:       Seamless operability between C++11 and Python
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://pypi.org/project/pybind11/
Source:        https://pypi.debian.net/pybind11/pybind11-%{version}.tar.gz
License:       BSD
## AUTOBUILDREQ-BEGIN
BuildRequires: libpython311-devel
BuildRequires: python3.11dist(setuptools)
## AUTOBUILDREQ-END
BuildRequires: python3-devel >= 3.11.5-3mamba

%description
%{summary}.

%package devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      python-pybind11-py3 = %{?epoch:%epoch:}%{version}-%{release}

%description devel
This package contains header and cmake files for developing applications that use %{name}.

%if 0%{?with_pyver}
%pyver_package
%endif

%prep
%setup -q -n pybind11-%{version}

%build
CFLAGS="%{optflags}" %{__python} setup.py build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python} setup.py install \
   -O1 --skip-build \
   --root="%{buildroot}" \
   --install-headers=%{_includedir} \
   --install-lib=%{python_sitearch} \
   --record=%{name}.filelist

sed -i "\,\.egg-info/,d;s,.*/man/.*,&.gz," %{name}.filelist
sed -i "/include/d" %{name}.filelist
sed -i "/cmake/d" %{name}.filelist

mv %{buildroot}%{python_sitearch}/pybind11/include %{buildroot}%{_prefix}/
install -d -m0755 %{buildroot}%{_datadir}/cmake
mv %{buildroot}%{python_sitearch}/pybind11/share/cmake/pybind11 %{buildroot}%{_datadir}/cmake/

%if "%{?with_pyver}" != "3"
# Rename any conflicting file outside of python site packages tree
for f in %{_bindir}/pybind11-config; do
   mv %{buildroot}${f}{,-%{?pyappend}}
done
sed -i "\,%{_bindir}/pybind11-config,d" %{name}.filelist
%endif

%files %{?pyappend} -f %{name}.filelist
%defattr(-,root,root)
%{_bindir}/pybind11-config*
%dir %{python_sitearch}/pybind11-%{version}-py*.egg-info
%{python_sitearch}/pybind11-%{version}-py*.egg-info/*
%doc LICENSE

%files devel
%defattr(-,root,root)
%dir %{_includedir}/pybind11
%{_includedir}/pybind11/*.h
%dir %{_includedir}/pybind11/detail
%{_includedir}/pybind11/detail/*.h
%dir %{_includedir}/pybind11/eigen
%{_includedir}/pybind11/eigen/*.h
%dir %{_includedir}/pybind11/stl
%{_includedir}/pybind11/stl/*.h
%dir %{_datadir}/cmake/pybind11
%{_datadir}/cmake/pybind11/*.cmake

%changelog
* Sat Sep 14 2024 Automatic Build System <autodist@openmamba.org> 2.13.6-1mamba
- automatic version update by autodist

* Sat Aug 24 2024 Automatic Build System <autodist@openmamba.org> 2.13.5-1mamba
- automatic version update by autodist

* Thu Aug 15 2024 Automatic Build System <autodist@openmamba.org> 2.13.4-1mamba
- automatic version update by autodist

* Wed Aug 14 2024 Automatic Build System <autodist@openmamba.org> 2.13.3-1mamba
- automatic version update by autodist

* Thu Jun 27 2024 Automatic Build System <autodist@openmamba.org> 2.13.1-1mamba
- automatic version update by autodist

* Wed Jun 26 2024 Automatic Build System <autodist@openmamba.org> 2.13.0-1mamba
- automatic version update by autodist

* Thu Mar 28 2024 Automatic Build System <autodist@openmamba.org> 2.12.0-1mamba
- automatic version update by autodist

* Tue Sep 26 2023 Automatic Build System <autodist@mambasoft.it> 2.11.1-3mamba
- rebuilt by autoport with build requirements: python3-devel>=3.11.5-3mamba

* Fri Aug 04 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 2.11.1-2mamba
- fix conflict for pybind11-config

* Tue Jul 18 2023 Automatic Build System <autodist@mambasoft.it> 2.11.1-1mamba
- automatic version update by autodist

* Sat Jul 15 2023 Automatic Build System <autodist@mambasoft.it> 2.11.0-1mamba
- automatic version update by autodist

* Thu Apr 13 2023 Sdk Build System <sdk@mambasoft.it> 2.10.4-2mamba
- rebuilt with python 3.10

* Fri Mar 17 2023 Automatic Build System <autodist@mambasoft.it> 2.10.4-1mamba
- automatic version update by autodist

* Wed Jan 04 2023 Automatic Build System <autodist@mambasoft.it> 2.10.3-1mamba
- automatic version update by autodist

* Fri Dec 23 2022 Automatic Build System <autodist@mambasoft.it> 2.10.2-1mamba
- automatic version update by autodist

* Tue Nov 01 2022 Automatic Build System <autodist@mambasoft.it> 2.10.1-1mamba
- automatic version update by autodist

* Sat Jul 16 2022 Automatic Build System <autodist@mambasoft.it> 2.10.0-1mamba
- automatic version update by autodist

* Thu Mar 31 2022 Automatic Build System <autodist@mambasoft.it> 2.9.2-1mamba
- automatic version update by autodist

* Fri Feb 04 2022 Automatic Build System <autodist@mambasoft.it> 2.9.1-1mamba
- automatic version update by autodist

* Wed Dec 29 2021 Automatic Build System <autodist@mambasoft.it> 2.9.0-1mamba
- automatic version update by autodist

* Thu Oct 28 2021 Automatic Build System <autodist@mambasoft.it> 2.8.1-1mamba
- automatic version update by autodist

* Tue Oct 05 2021 Automatic Build System <autodist@mambasoft.it> 2.8.0-1mamba
- automatic version update by autodist

* Wed Aug 04 2021 Automatic Build System <autodist@mambasoft.it> 2.7.1-1mamba
- automatic version update by autodist

* Sun Jul 18 2021 Automatic Build System <autodist@mambasoft.it> 2.7.0-1mamba
- automatic version update by autodist

* Thu Jun 24 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 2.6.2-2mamba
- specfile fixes

* Sun Feb 21 2021 Automatic Build System <autodist@mambasoft.it> 2.6.2-1mamba
- automatic version update by autodist

* Fri Jan 01 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 2.6.1-1mamba
- package created using the webbuild interface
